/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

import java.util.Date;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class GaugeInfoObjectImpl implements GaugeInfoObject {

    private static final long serialVersionUID = 1L;

    protected String name;

    protected String errorMsg;

    Date startTime;

    Date stopTime;

    public GaugeInfoObjectImpl() {
    }

    public GaugeInfoObjectImpl(final String name, final String errorMsg, final Date startTime, final Date stopTime) {
        this.name = name;
        this.errorMsg = errorMsg;
        this.startTime = startTime;
        this.stopTime = stopTime;
    }

    @Override
    public Date getStopTime() {
        return this.stopTime;
    }

    @Override
    public Date getStartTime() {
        return this.startTime;
    }

    @Override
    public String getName() {
        return this.name;
    }

    @Override
    public String getErrorMessage() {
        return this.errorMsg;
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
